

### All Types

| Name | Summary |
|---|---|
| [com.agoda.kakao.intent.ActivityResultBuilder](../com.agoda.kakao.intent/-activity-result-builder/index.md) | Class for building ActivityResult |
| [com.agoda.kakao.common.assertions.AdapterAssertions](../com.agoda.kakao.common.assertions/-adapter-assertions/index.md) | Provides assertions for view with adapters |
| [com.agoda.kakao.common.matchers.AnyTextMatcher](../com.agoda.kakao.common.matchers/-any-text-matcher/index.md) | Matches TextView views which contains any text |
| [com.agoda.kakao.common.matchers.BackgroundColorMatcher](../com.agoda.kakao.common.matchers/-background-color-matcher/index.md) | Matches given background color with the current one |
| [com.agoda.kakao.common.actions.BaseActions](../com.agoda.kakao.common.actions/-base-actions/index.md) | Base interface for performing actions on view |
| [com.agoda.kakao.common.assertions.BaseAssertions](../com.agoda.kakao.common.assertions/-base-assertions/index.md) | Base interface for asserting views |
| [com.agoda.kakao.bottomnav.BottomNavigationViewActions](../com.agoda.kakao.bottomnav/-bottom-navigation-view-actions/index.md) | Provides actions for BottomNavigationView |
| [com.agoda.kakao.bottomnav.BottomNavigationViewAssertions](../com.agoda.kakao.bottomnav/-bottom-navigation-view-assertions/index.md) | Provides assertion for BottomNavigationview |
| [com.agoda.kakao.intent.BundleBuilder](../com.agoda.kakao.intent/-bundle-builder/index.md) | Class for building Bundle matchers |
| [com.agoda.kakao.check.CheckableActions](../com.agoda.kakao.check/-checkable-actions/index.md) | Provides action for checking views |
| [com.agoda.kakao.check.CheckableAssertions](../com.agoda.kakao.check/-checkable-assertions/index.md) | Provides checkable based assertions for views |
| [com.agoda.kakao.intent.ComponentNameBuilder](../com.agoda.kakao.intent/-component-name-builder/index.md) | Class for building ComponentName matchers |
| [com.agoda.kakao.list.DataBuilder](../com.agoda.kakao.list/-data-builder/index.md) | Class for building data matchers |
| [com.agoda.kakao.common.matchers.DrawableMatcher](../com.agoda.kakao.common.matchers/-drawable-matcher/index.md) | Matches given drawable with current one |
| [com.agoda.kakao.drawer.DrawerActions](../com.agoda.kakao.drawer/-drawer-actions/index.md) | Provides actions for navigation drawer |
| [com.agoda.kakao.edit.EditableActions](../com.agoda.kakao.edit/-editable-actions/index.md) | Provides editable actions for views |
| [com.agoda.kakao.edit.EditableAssertions](../com.agoda.kakao.edit/-editable-assertions/index.md) | Provides editable based assertions for views |
| [com.agoda.kakao.common.matchers.FirstViewMatcher](../com.agoda.kakao.common.matchers/-first-view-matcher/index.md) | Matches first view |
| [com.agoda.kakao.image.ImageViewAssertions](../com.agoda.kakao.image/-image-view-assertions/index.md) | Provides assertion for image views |
| [com.agoda.kakao.common.matchers.IndexMatcher](../com.agoda.kakao.common.matchers/-index-matcher/index.md) | Matches index'th view that matches given matcher |
| [com.agoda.kakao.intent.IntentBuilder](../com.agoda.kakao.intent/-intent-builder/index.md) | Class for building Intent matchers |
| [com.agoda.kakao.common.matchers.ItemMatcher](../com.agoda.kakao.common.matchers/-item-matcher/index.md) | Matches first RecyclerView descendant which matches specific matcher |
| [com.agoda.kakao.list.KAdapterItem](../com.agoda.kakao.list/-k-adapter-item/index.md) | Base class for KRecyclerView adapter items |
| [com.agoda.kakao.list.KAdapterItemType](../com.agoda.kakao.list/-k-adapter-item-type/index.md) | For internal use. Don't use manually. |
| [com.agoda.kakao.list.KAdapterItemTypeBuilder](../com.agoda.kakao.list/-k-adapter-item-type-builder/index.md) | Class that maps types to providing functions |
| [com.agoda.kakao.common.views.KBaseView](../com.agoda.kakao.common.views/-k-base-view/index.md) | Base class for all Kakao views |
| [com.agoda.kakao.bottomnav.KBottomNavigationView](../com.agoda.kakao.bottomnav/-k-bottom-navigation-view/index.md) | View for acting and asserting on BottomNavigationView |
| [com.agoda.kakao.text.KButton](../com.agoda.kakao.text/-k-button/index.md) | View with BaseActions and TextViewAssertions |
| [com.agoda.kakao.check.KCheckBox](../com.agoda.kakao.check/-k-check-box/index.md) | View with CheckableActions, CheckableAssertions and TextViewAssertions |
| [com.agoda.kakao.drawer.KDrawerView](../com.agoda.kakao.drawer/-k-drawer-view/index.md) | View with DrawerActions and BaseAssertions |
| [com.agoda.kakao.edit.KEditText](../com.agoda.kakao.edit/-k-edit-text/index.md) | View with EditableActions and EditableAssertions |
| [com.agoda.kakao.list.KEmptyAdapterItem](../com.agoda.kakao.list/-k-empty-adapter-item/index.md) | Empty implementation of KAdapterItem |
| [com.agoda.kakao.recycler.KEmptyRecyclerItem](../com.agoda.kakao.recycler/-k-empty-recycler-item/index.md) | Empty implementation of KRecyclerItem |
| [com.agoda.kakao.image.KImageView](../com.agoda.kakao.image/-k-image-view/index.md) | View with BaseActions and ImageViewAssertions |
| [com.agoda.kakao.intent.KIntent](../com.agoda.kakao.intent/-k-intent/index.md) | This class is intended to be used when you need to check if some intent has been sent or to mock specific intent with result |
| [com.agoda.kakao.list.KListView](../com.agoda.kakao.list/-k-list-view/index.md) | View with ScrollViewActions and BaseAssertions. Gives access to it's children |
| [com.agoda.kakao.navigation.KNavigationView](../com.agoda.kakao.navigation/-k-navigation-view/index.md) | View with NavigationViewActions and NavigationViewAssertions |
| [com.agoda.kakao.progress.KProgressBar](../com.agoda.kakao.progress/-k-progress-bar/index.md) | View with ProgressBarActions and ProgressBarAssertions |
| [com.agoda.kakao.rating.KRatingBar](../com.agoda.kakao.rating/-k-rating-bar/index.md) | View with RatingBarActions and RatingBarAssertions |
| [com.agoda.kakao.recycler.KRecyclerItem](../com.agoda.kakao.recycler/-k-recycler-item/index.md) | Base class for KRecyclerView adapter items |
| [com.agoda.kakao.recycler.KRecyclerItemType](../com.agoda.kakao.recycler/-k-recycler-item-type/index.md) | For internal use. Don't use manually. |
| [com.agoda.kakao.recycler.KRecyclerItemTypeBuilder](../com.agoda.kakao.recycler/-k-recycler-item-type-builder/index.md) | Class that maps types to providing functions |
| [com.agoda.kakao.recycler.KRecyclerView](../com.agoda.kakao.recycler/-k-recycler-view/index.md) | View with RecyclerActions, BaseAssertions and RecyclerAdapterAssertions. Gives access to it's children |
| [com.agoda.kakao.progress.KSeekBar](../com.agoda.kakao.progress/-k-seek-bar/index.md) | View with SeekBarActions and ProgressBarAssertions |
| [com.agoda.kakao.text.KSnackbar](../com.agoda.kakao.text/-k-snackbar/index.md) | View with internal TextView and a Button |
| [com.agoda.kakao.swiperefresh.KSwipeRefreshLayout](../com.agoda.kakao.swiperefresh/-k-swipe-refresh-layout/index.md) | View with SwipeRefreshLayoutActions and SwipeRefreshLayoutAssertions |
| [com.agoda.kakao.common.views.KSwipeView](../com.agoda.kakao.common.views/-k-swipe-view/index.md) | View with SwipeableActions and BaseAssertions |
| [com.agoda.kakao.tabs.KTabLayout](../com.agoda.kakao.tabs/-k-tab-layout/index.md) | View with TabLayoutActions and TabLayoutAssertions |
| [com.agoda.kakao.edit.KTextInputLayout](../com.agoda.kakao.edit/-k-text-input-layout/index.md) | View with TextInputLayoutAssertions |
| [com.agoda.kakao.text.KTextView](../com.agoda.kakao.text/-k-text-view/index.md) | View with BaseActions and TextViewAssertions |
| [com.agoda.kakao.common.views.KView](../com.agoda.kakao.common.views/-k-view/index.md) | Simple view with BaseActions and BaseAssertions |
| [com.agoda.kakao.pager.KViewPager](../com.agoda.kakao.pager/-k-view-pager/index.md) | View with SwipeableActions and ViewPagerAssertions |
| [com.agoda.kakao.web.KWebView](../com.agoda.kakao.web/-k-web-view/index.md) | Class for interacting with WebViews |
| [com.agoda.kakao.common.KakaoDslMarker](../com.agoda.kakao.common/-kakao-dsl-marker/index.md) |  |
| [com.agoda.kakao.list.ListViewAdapterAssertions](../com.agoda.kakao.list/-list-view-adapter-assertions/index.md) | Provides assertions for listView adapter |
| [com.agoda.kakao.common.matchers.ListViewAdapterSizeMatcher](../com.agoda.kakao.common.matchers/-list-view-adapter-size-matcher/index.md) | Matches ListView with count of children |
| [com.agoda.kakao.common.matchers.NavigationItemMatcher](../com.agoda.kakao.common.matchers/-navigation-item-matcher/index.md) | Matches NavigationView with given item id checked |
| [com.agoda.kakao.navigation.NavigationViewActions](../com.agoda.kakao.navigation/-navigation-view-actions/index.md) | Provides actions for navigation view |
| [com.agoda.kakao.navigation.NavigationViewAssertions](../com.agoda.kakao.navigation/-navigation-view-assertions/index.md) | Provides assertions for NavigationView |
| [com.agoda.kakao.common.matchers.PageMatcher](../com.agoda.kakao.common.matchers/-page-matcher/index.md) | Matches ViewPager which page index equals given |
| [com.agoda.kakao.common.matchers.PositionMatcher](../com.agoda.kakao.common.matchers/-position-matcher/index.md) | Matches RecyclerView descendant at given position in adapter |
| [com.agoda.kakao.progress.PreciseSwipe](../com.agoda.kakao.progress/-precise-swipe/index.md) |  |
| [com.agoda.kakao.progress.ProgressBarActions](../com.agoda.kakao.progress/-progress-bar-actions/index.md) | Provides action for ProgressBar |
| [com.agoda.kakao.progress.ProgressBarAssertions](../com.agoda.kakao.progress/-progress-bar-assertions/index.md) | Provides assertions for progress bar |
| [com.agoda.kakao.common.matchers.ProgressMatcher](../com.agoda.kakao.common.matchers/-progress-matcher/index.md) | Matcher of value progress of given matcher |
| [com.agoda.kakao.rating.RatingBarActions](../com.agoda.kakao.rating/-rating-bar-actions/index.md) | Provides action for RatingBar |
| [com.agoda.kakao.rating.RatingBarAssertions](../com.agoda.kakao.rating/-rating-bar-assertions/index.md) | Provides assertions for RatingBar |
| [com.agoda.kakao.common.matchers.RatingBarMatcher](../com.agoda.kakao.common.matchers/-rating-bar-matcher/index.md) | Matcher of value rating of given matcher |
| [com.agoda.kakao.recycler.RecyclerActions](../com.agoda.kakao.recycler/-recycler-actions/index.md) | Provides ScrollableActions implementation for RecyclerView |
| [com.agoda.kakao.recycler.RecyclerAdapterAssertions](../com.agoda.kakao.recycler/-recycler-adapter-assertions/index.md) | Provides assertions for recyclerView adapter |
| [com.agoda.kakao.common.matchers.RecyclerViewAdapterSizeMatcher](../com.agoda.kakao.common.matchers/-recycler-view-adapter-size-matcher/index.md) | Matches RecyclerView with count of children |
| [com.agoda.kakao.common.builders.RootBuilder](../com.agoda.kakao.common.builders/-root-builder/index.md) | Class for building root matchers |
| [com.agoda.kakao.screen.Screen](../com.agoda.kakao.screen/-screen/index.md) | Container class for UI elements. |
| [com.agoda.kakao.screen.ScreenActions](../com.agoda.kakao.screen/-screen-actions/index.md) | Interface with common actions for all screens |
| [com.agoda.kakao.list.ScrollViewActions](../com.agoda.kakao.list/-scroll-view-actions/index.md) | Provides ScrollableActions implementation for ScrollView |
| [com.agoda.kakao.common.actions.ScrollableActions](../com.agoda.kakao.common.actions/-scrollable-actions/index.md) | Provides scrolling actions for view |
| [com.agoda.kakao.progress.SeekBarActions](../com.agoda.kakao.progress/-seek-bar-actions/index.md) | Provides action for SeekBar |
| [com.agoda.kakao.swiperefresh.SwipeRefreshLayoutActions](../com.agoda.kakao.swiperefresh/-swipe-refresh-layout-actions/index.md) | Provides actions for SwipeRefreshLayout |
| [com.agoda.kakao.swiperefresh.SwipeRefreshLayoutAssertions](../com.agoda.kakao.swiperefresh/-swipe-refresh-layout-assertions/index.md) | Provides assertion for SwipeRefreshLayout |
| [com.agoda.kakao.common.matchers.SwipeRefreshLayoutMatcher](../com.agoda.kakao.common.matchers/-swipe-refresh-layout-matcher/index.md) |  |
| [com.agoda.kakao.common.actions.SwipeableActions](../com.agoda.kakao.common.actions/-swipeable-actions/index.md) | Provides swipe actions for views |
| [com.agoda.kakao.tabs.TabLayoutActions](../com.agoda.kakao.tabs/-tab-layout-actions/index.md) | Provides action for TabLayout |
| [com.agoda.kakao.tabs.TabLayoutAssertions](../com.agoda.kakao.tabs/-tab-layout-assertions/index.md) | Provides assertions for TabLayout |
| [com.agoda.kakao.edit.TextInputLayoutAssertions](../com.agoda.kakao.edit/-text-input-layout-assertions/index.md) | Provides assertions for TextInputLayout |
| [com.agoda.kakao.common.matchers.TextInputLayoutCounterEnabledMatcher](../com.agoda.kakao.common.matchers/-text-input-layout-counter-enabled-matcher/index.md) |  |
| [com.agoda.kakao.common.matchers.TextInputLayoutErrorEnabledMatcher](../com.agoda.kakao.common.matchers/-text-input-layout-error-enabled-matcher/index.md) |  |
| [com.agoda.kakao.common.matchers.TextInputLayoutHintEnabledMatcher](../com.agoda.kakao.common.matchers/-text-input-layout-hint-enabled-matcher/index.md) |  |
| [com.agoda.kakao.text.TextViewActions](../com.agoda.kakao.text/-text-view-actions/index.md) | Provides actions for TextViews |
| [com.agoda.kakao.text.TextViewAssertions](../com.agoda.kakao.text/-text-view-assertions/index.md) | Provides text based assertions for views |
| [com.agoda.kakao.intent.UriBuilder](../com.agoda.kakao.intent/-uri-builder/index.md) | Class for building Uri matchers |
| [com.agoda.kakao.common.builders.ViewBuilder](../com.agoda.kakao.common.builders/-view-builder/index.md) | Class for building view matchers and interactions |
| [com.agoda.kakao.pager.ViewPagerAssertions](../com.agoda.kakao.pager/-view-pager-assertions/index.md) | Provides assertions for view pagers |
| [com.agoda.kakao.web.WebActions](../com.agoda.kakao.web/-web-actions/index.md) | Provides action for interacting with WebViews |
| [com.agoda.kakao.web.WebAssertions](../com.agoda.kakao.web/-web-assertions/index.md) | Interface that provides assertions for WebViews |
| [com.agoda.kakao.web.WebElementBuilder](../com.agoda.kakao.web/-web-element-builder/index.md) | Class for building WebView element matchers |
