[kakao](../index.md) / [com.agoda.kakao.common.matchers](./index.md)

## Package com.agoda.kakao.common.matchers

### Types

| Name | Summary |
|---|---|
| [AnyTextMatcher](-any-text-matcher/index.md) | `class AnyTextMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`TextView`](https://developer.android.com/reference/android/widget/TextView.html)`>`<br>Matches TextView views which contains any text |
| [BackgroundColorMatcher](-background-color-matcher/index.md) | `class BackgroundColorMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches given background color with the current one |
| [DrawableMatcher](-drawable-matcher/index.md) | `class DrawableMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches given drawable with current one |
| [FirstViewMatcher](-first-view-matcher/index.md) | `class FirstViewMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches first view |
| [IndexMatcher](-index-matcher/index.md) | `class IndexMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches index'th view that matches given matcher |
| [ItemMatcher](-item-matcher/index.md) | `class ItemMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches first RecyclerView descendant which matches specific matcher |
| [ListViewAdapterSizeMatcher](-list-view-adapter-size-matcher/index.md) | `class ListViewAdapterSizeMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`ListView`](https://developer.android.com/reference/android/widget/ListView.html)`>`<br>Matches ListView with count of children |
| [NavigationItemMatcher](-navigation-item-matcher/index.md) | `class NavigationItemMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, NavigationView>`<br>Matches NavigationView with given item id checked |
| [PageMatcher](-page-matcher/index.md) | `class PageMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, ViewPager>`<br>Matches ViewPager which page index equals given |
| [PositionMatcher](-position-matcher/index.md) | `class PositionMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`View`](https://developer.android.com/reference/android/view/View.html)`>`<br>Matches RecyclerView descendant at given position in adapter |
| [ProgressMatcher](-progress-matcher/index.md) | `class ProgressMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`ProgressBar`](https://developer.android.com/reference/android/widget/ProgressBar.html)`>`<br>Matcher of value progress of given matcher |
| [RatingBarMatcher](-rating-bar-matcher/index.md) | `class RatingBarMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, `[`RatingBar`](https://developer.android.com/reference/android/widget/RatingBar.html)`>`<br>Matcher of value rating of given matcher |
| [RecyclerViewAdapterSizeMatcher](-recycler-view-adapter-size-matcher/index.md) | `class RecyclerViewAdapterSizeMatcher : BoundedMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`, RecyclerView>`<br>Matches RecyclerView with count of children |
| [SwipeRefreshLayoutMatcher](-swipe-refresh-layout-matcher/index.md) | `class SwipeRefreshLayoutMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextInputLayoutCounterEnabledMatcher](-text-input-layout-counter-enabled-matcher/index.md) | `class TextInputLayoutCounterEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextInputLayoutErrorEnabledMatcher](-text-input-layout-error-enabled-matcher/index.md) | `class TextInputLayoutErrorEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
| [TextInputLayoutHintEnabledMatcher](-text-input-layout-hint-enabled-matcher/index.md) | `class TextInputLayoutHintEnabledMatcher : TypeSafeMatcher<`[`View`](https://developer.android.com/reference/android/view/View.html)`>` |
